Skip to content
POST/{organizationId}/{mandateId}/crm/contacts/{contactId}/notes/{noteId}

Update note

Updates a note or a resubmission on a contact

Required permissions:

  • mandate.read

  • contactNote.edit

Permissions depending on contact type:

  • contact:member

  • contact:address

  • contact:customer

  • contact:sponsor

  • contact:contributor

  • contact:employee

  • contact:supplier

Path Parameters

organizationIdstringrequired
contactIdstringrequired
noteIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

contentstringrequired

minLength: 1

maxLength: 4000

dueAtdate-time | nullrequired

Default: []

assignedToUserIdstring | nulloptional

Default: null

minLength: 16

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/crm/contacts/{contactId}/notes/{noteId}
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contacts/{contactId}/notes/{noteId}' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "content": "string",
  "dueAt": "2026-06-15T22:30:00Z"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valueany

Response

200
"string"

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}